﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using ThinkGeo.MapSuite.MvcEdition;
using ThinkGeo.MapSuite.Core;
using System.Collections.ObjectModel;

namespace DisplayASimpleMapForMvc.Controllers
{
    public class IndexController : Controller
    {
        //
        // GET: /UseDraggableMarkers/

        public ActionResult Index()
        {
            Map map = new Map("Map1",
                new System.Web.UI.WebControls.Unit(100, System.Web.UI.WebControls.UnitType.Percentage),
                new System.Web.UI.WebControls.Unit(100, System.Web.UI.WebControls.UnitType.Percentage));

            map.MapUnit = GeographyUnit.DecimalDegree;
            map.CurrentExtent = new RectangleShape(-125, 72, 50, -46);

            map.MapBackground = new BackgroundLayer(new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF")));
            map.CustomOverlays.Add(new WorldMapKitWmsWebOverlay());

            map.OnClientClick = "mapclick";

            return View(map);
        }
    }
}
